Help Please Rated 1 out of 5 stars

OK I need an opinion .. I want to download the newest version of Firefox but it says I will have the Microsoft .net framework assistant disabled because the one I have isn't compatible.. DO I NEED to have this update to successfully run Firefox ( I have no clue and NOT ashamed to say so ) HELP Please

Not needed for using Firefox, not harmful either

See here: http://support.microsoft.com/kb/963707 to remove it. It's simply an extension for launching a specific type of .NET Framework Application called a "ClickOnce application". If you don't know what one is, you can either safely ignore it completely or follow the instructions above to uninstall.